Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4207 - RFE: nice'd 20 processes don't run unless machine is idle
Summary: RFE: nice'd 20 processes don't run unless machine is idle
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-26 23:03 UTC by helmut katzgraber
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-02 16:18:17 UTC


Attachments (Terms of Use)

Description helmut katzgraber 1999-07-26 23:03:11 UTC
i looked into the kernel source and rh 6.0 i386 should
support nicelevel 20 (same information fro the man pages).
if i issue the command

	renice 20 PID

it says that it reniced to 20, but when i issue ps or top i
get nicelevel 19 instead. (note that on an alpha with rh 6.0
i get the desired value of 20).

how can this problem be fixed?

nicelevel 20 != nicelevel 19. at 19 a process still gets
about 5% of CPU (competing with another process at nicelevel
0), whereas at 20 the process "sleeps"

Comment 1 Preston Brown 1999-08-18 17:52:59 UTC
Alan, do you have any idea why intel kernels do not permit nicelevel
20, but the alpha ones do?  I'm not sure this is a bug per se, but it
is interesting at least.

Comment 2 Jeff Johnson 1999-09-02 16:18:59 UTC
From the man page for nice:
DESCRIPTION
       Run COMMAND with an adjusted scheduling priority.  With no
       COMMAND, print the current scheduling priority.  ADJUST is
       10  by default.  Range goes from -20 (highest priority) to
       19 (lowest).

If you want the process to have no cpu ticks, try sending the process
a SIGSTOP.

Comment 3 helmut katzgraber 1999-09-02 16:56:59 UTC
sure i can a SIGSTOP to the process, but when the CPU is idle it will
not run unless i issue a CONT. nicelevel 20 (which is a nice feature
on the alphas) instead stops the process if there is others running
and restarts it when the cpu is idle.

even though the man pages on the alpha distribution coincide with the
excerpt you sent me, i still can renice to 20:

PID USER      PRI NI ....
482 dummkopf  20  20 14584  14M  1296 R N   14M 97.1  2.8  1267m
setiathome

h.

Comment 4 Jeff Johnson 1999-09-02 20:05:59 UTC
OK, then this is a i386/sparc kernel problem.


Note You need to log in before you can comment on or make changes to this bug.